import React, { Component, PropTypes } from 'react';
import { BarCharts } from 'amos-core';
import { ramCombinationOption } from './ramCombinationOption';
/**
 * 内存组合
 */
class RamCombination extends Component {
  constructor(props) {
    super(props);

  }

  /**
   *渲染图表
   */
  getOption = () => {
    return ramCombinationOption;
  }

  render() {
    const chartStyle = { width: '400px', height: '20px' }
    return (
      <div className="pams-table-equipResource-ramCombianecanvas"  style={{ width: '100%',height: '20px' }}>
        <BarCharts
          barOps={this.getOption()}
          chartStyle={chartStyle}
        />
      </div>
    );
  }
}

RamCombination.propTypes = {
};

RamCombination.defaultProps = {
  chartStyle: { width: '100%', height: '100%' },
  chartData: []
};

export default RamCombination;
